Subject: Re: bug#46830: [PATCH Added hdf5-1.12-parallel-openmpi] * gnu/packages/maths.scm (hdf5-1.12-parallel-openmpi): New package based on HDF5 1.12.0

From: Ludovic Courtès <[email-masked]>
Date: Tue, 02 Mar 2021 20:39:38 +0100

zimoun <[email-masked]> skribis:

> On Tue, 2 Mar 2021 at 01:32, Gerd Heber <[email-masked]> wrote:
>> On Mon, Mar 1, 2021 at 4:45 AM zimoun <[email-masked]> wrote:
>
>> > --8<---------------cut here---------------start------------->8---
>> > (define-public hdf5-1.12-parallel-openmpi
>> >   (package/inherit hdf5-parallel-openmpi
>> >     (version (package-version hdf5-1.12))
>> >     (source (package-source hdf5-1.12)))
>> > --8<---------------cut here---------------end--------------->8---
>
>> Hey, thanks, very clever! Should I submit a new patch or is there a
>> way to patch the patch?
>
> The usual way is to send a v2 which is the patch to apply to the Git
> tree (and *not* a patch to apply to a patch to apply to the tree).
>
> However, personally I am not in favor to add to Guix proper too much
> versions of variant packages; but that's just my humble opinion.
> Instead, it could be submitted to specific channels, for instance
> <https://gitlab.inria.fr/guix-hpc/guix-hpc> or any other listed in
> Guix-HPC.

In this particular case, I think the proposed variant is fine; it’s
consistent with what we’re already doing with hdf5.

Ludo’.